#!/bin/zsh
# Run all timing tests using loops.
emulate -L zsh
zmodload zsh/mathfunc

for prob in B1 RCD 1B2 6B2 12B2; do
  for eps in 1e-{3,4}; do
    for kcol in {2..10}; do
      for tol in 1e-{4,6,8}; do
        for est in bac sci loi; do
          [[ $prob == 'RCD' ]] && [[ $eps == 1e-4 ]] && continue
          [[ $prob == 'RCD' ]] && eps=0
          t=$(./md-test.zsh $prob $kcol $est $tol $eps)
          t=${t// /}
          [[ $t =~ ERROR\|kcol ]] && continue
          n=100
          (( t > 0 )) && (( n > 100/t )) && n=$(( ceil(100/t) ))
          (( n < 3 ))                    && n=3
          n=${n%.*}
          print "$prob, k=$kcol, t=$tol, e=$eps, est=$est: n = $n (t = $t)"
          for i in {1..$n}; do
            print -n .
            t=$(./md-test.zsh $prob $kcol $est $tol $eps)
          done
          print
        done
      done
    done
  done
done
