#!/bin/zsh
# Run all work-precision tests using loops.
emulate -L zsh

for eps in 1e-{3,4}; do
  for prob in B{1,2}; do
    for kcol in {2..11}; do
      for est in bac ble sci loi; do
        print "prob=$prob, est=$est, eps=$eps:"
        for tol in $(seq 1 .1 10); do
          # inner loop produces 91 tolerances
          # equally spaced on a logarithmic scale.
          print " tol=$tol"
          ./wp-test.zsh $prob $kcol $est $((10**-$tol)) $eps
        done
      done
    done
  done
done
