#!/usr/bin/python3

from glob import glob
import numpy as np

for prob in ['B1-*e3-', 'B1-*e4-', 'RCD', '1B2-*e3-', '1B2-*e4-', '6B2-*e3-', '6B2-*e4-']:
  m = 0
  for f in glob('timing/'+prob+'*.out'):
    try:
      times = np.loadtxt(f, skiprows=1, ndmin=1)
      if len(times):
        m = max(m, times.std()/times.mean())
        print('{:s}:  {:.2f}  ({:.2f})'
            .format(f, times.std(), times.std()/times.mean()))
    except Exception as e:
      print('{:s}: FAIL'.format(f))
  print(m)
  print('-'*72)
