#!/bin/zsh
# This script encapsulates a timing test.
emulate -L zsh

usage () {
  print "usage: $0 <problem> <kcol> <ERREST-scheme>" \
        " <tolerance> <epsilon>"
  exit 1
}
[[ $# == 5 ]] || usage

prob=$1
kcol=$2
[[ $prob == 'RCD' ]] && tout=1 || tout=18
case $3 in
  loi) EST=1 bacol=${prob}-t ;;
  sci) EST=2 bacol=${prob}-t ;;
  bac) EST=3 bacol=${prob}-bac-t ;;
    *) usage ;;
esac
tol=$4
eps=$5

key="${prob}-k${kcol}t${tol#*-}e${eps#*-}-$3"
OUT="timing/$key.out"
mkdir "timing" &>/dev/null

{
  print -l $kcol $tout $EST $tol $eps \
    | ./$bacol \
    || exit $?
} |& tail -n 1 \
  |& tee -a $OUT

# This may have been a bad idea; it led to huge variance in timings.
#    | nice -n -15 chrt --fifo 99 taskset 01 ./$bacol \
