#!/bin/zsh
# This script encapsulates an MI test.
emulate -L zsh

usage () {
  print "usage: $0 <problem> <kcol> <Tstop> <ERREST-scheme>" \
        " <tolerance> <epsilon>"
  exit 1
}
[[ $# == 6 ]] || usage

prob=$1
kcol=$2
tout=$3
case $4 in
  loi) EST=1 bacol=$prob ;;
  sci) EST=2 bacol=$prob ;;
  bac) EST=3 bacol=${prob}-bac ;;
    *) usage ;;
esac
tol=$5
eps=$6

key="${prob}-k${kcol}t${tol#*-}e${eps#*-}-$4"
PROF="profiles/$key.prof"
OUT="output/$key.out"
mkdir "profiles" "output" &>/dev/null

{
  print -l $kcol $tout $EST $tol $eps \
    | GMON_OUT_PREFIX=$bacol ./$bacol \
    & wait $! \
    && gprof $bacol $bacol.$! \
    | bzip2 \
    > $PROF.bz2 \
    && rm $bacol.$!
} |& sed -n '/^THE INPUT IS/,$ p' \
  &> $OUT
