#!/bin/zsh
# This script encapsulates a work-precision test.
emulate -L zsh

usage () {
  print "usage: $0 <problem> <kcol> <ERREST-scheme>" \
        " <tolerance> <epsilon>"
  exit 1
}
[[ $# == 5 ]] || usage

prob=$1
kcol=$2
tout=1
case $3 in
  loi) EST=1 bacol=${prob}-wp ;;
  sci) EST=2 bacol=${prob}-wp ;;
  bac) EST=1 bacol=${prob}-bac-wp ;;
  ble) EST=2 bacol=${prob}-bac-wp ;;
    *) usage ;;
esac
tol=$4
eps=$5

key="${prob}-k${kcol}e${eps#*-}-$3"
OUT="work-precision/$key.out"
mkdir "work-precision" &>/dev/null

print -l $kcol $tout $EST $tol $eps \
  | ./$bacol 2>> $OUT \
  | sed -n '/^THE INPUT IS/,$ p' >> log-wp
